LibreOffice: XSheetCellCursor Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XSheetCellCursor Interface Referencepublished

provides advanced methods to control the position of a cursor in a spreadsheet. More...

`import"XSheetCellCursor.idl";`

Inheritance diagram for XSheetCellCursor:

## Public Member Functions
void | collapseToCurrentRegion ()
| expands the cursor into the region containing the cells to which it currently points. More...
void | collapseToCurrentArray ()
| collapses the cursor into the range of the array formula to which it is currently pointing. More...
void | collapseToMergedArea ()
| expands the cursor to merged cell ranges. More...
void | expandToEntireColumns ()
| expands the cursor to include the entire columns of the cells to which it is currently pointing. More...
void | expandToEntireRows ()
| expands the cursor to include the entire rows of the cells to which it is currently pointing. More...
void | collapseToSize ([in] long nColumns, [in] long nRows)
| changes the size of a cursor range. More...
Public Member Functions inherited from XSheetCellRange
com::sun::star::sheet::XSpreadsheet | getSpreadsheet ()
| returns the spreadsheet interface which contains the cell range. More...
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range. More...
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range. More...
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides advanced methods to control the position of a cursor in a spreadsheet.

See also
  com::sun::star::sheet::SheetCellCursor

Developers Guide
  Spreadsheets - Cell Cursor

## Member Function Documentation

## ◆ collapseToCurrentArray()

void collapseToCurrentArray | ( |  | ) |

collapses the cursor into the range of the array formula to which it is currently pointing.

To get the correct result, the top left cell of the original cursor must point to any cell containing an array formula. If not, the cursor is left unchanged.

## ◆ collapseToCurrentRegion()

void collapseToCurrentRegion | ( |  | ) |

expands the cursor into the region containing the cells to which it currently points.

A region is a cell range bounded by empty cells.

## ◆ collapseToMergedArea()

void collapseToMergedArea | ( |  | ) |

expands the cursor to merged cell ranges.

Expands the current cursor range in a way so that all merged cell ranges intersecting the current range will fit completely. If the cursor does not point to any range with merged cells, it is left unchanged.

## ◆ collapseToSize()

void collapseToSize | ( | [in] long | nColumns,
|  | [in] long | nRows
| ) |  |

changes the size of a cursor range.

The top left cell of the cursor keeps unmodified.

Parameters

  nColumns | the number of columns of the new cursor range.
  nRows | the number of rows of the new cursor range.

## ◆ expandToEntireColumns()

void expandToEntireColumns | ( |  | ) |

expands the cursor to include the entire columns of the cells to which it is currently pointing.

## ◆ expandToEntireRows()

void expandToEntireRows | ( |  | ) |

expands the cursor to include the entire rows of the cells to which it is currently pointing.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCellCursor.idl